import express, {json} from 'express';
import cors from 'cors';
import 'express-async-errors';
import {handleError, ValidateError} from "./utils/errors";

const app = express();

app
    .use(cors({
        origin: 'http://localhost:3000',
    }))
    .use(json())
    // .get('/', async (req, res) => {
    //     throw new ValidateError('Its Work');
    // } )

    //Routs

    .use(handleError)

    .listen(3001, '0.0.0.0', () => {
        console.log('Listening on http://localhost:3001')
    })
