"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ad_record_1 = require("../../records/ad.record");
const defaultObj = {
    name: 'Test Name',
    description: 'Testowy opis',
    price: 10.5,
    url: 'https://megak.pl',
    lat: 10,
    lon: 10,
};
test('Can build AdRecord', () => {
    const { name, description } = new ad_record_1.AdRecord(defaultObj);
    expect(name).toBe('Test Name');
    expect(description).toBe('Testowy opis');
});
test('Validates invalid price', () => {
    expect(() => new ad_record_1.AdRecord(Object.assign(Object.assign({}, defaultObj), { price: -3 }))).toThrow('Cena nie może być mniejsza niż 0 lub większa niż 9 999 999');
});
//# sourceMappingURL=ad.record.test.js.map