"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleError = exports.ValidateError = void 0;
class ValidateError extends Error {
}
exports.ValidateError = ValidateError;
const handleError = (err, req, res, next) => {
    console.error(err);
    res
        .status(err instanceof ValidateError ? 400 : 500)
        .json({
        message: err instanceof ValidateError ? err.message : 'Sorry, please try again later.',
    });
};
exports.handleError = handleError;
//# sourceMappingURL=errors.js.map